#version 430

in vec3 world_pos;
in vec3 screen_pos;
in vec3 vert_normal;

layout(location = 0) out vec4 frag_color;
layout(location = 38) uniform sampler2D noise_texture;
layout(location = 28) uniform vec3 camera_position;

const float shininess = 1;

void main(void) {
  vec3 view_dir = normalize(camera_position - world_pos);
  float factor = dot(normalize(vert_normal), view_dir);
  frag_color = vec4(1.0);//vec4(texture(noise_texture, screen_pos.xy).rgb, 1.0);
  frag_color *= factor;
}