#version 430 core

in vec3 fragmentUV;

layout(location = 0) out vec4 fragColor;
layout(location = 37) uniform samplerCube skybox;

void main()
{
	vec3 textureColor = texture(skybox, fragmentUV).rgb;

	float brightness = dot(textureColor.rgb, vec3(0.2126, 0.7152, 0.0722)); // extract the brightness from the texture (grayscale) 
 	
	fragColor = vec4(textureColor.rgb, 1.0);
	//fragColor = vec4(normalize(fragmentUV), 1.0);
	//fragColor = vec4(vec3(1,1,0), 1.0);
}