#version 430

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

layout(location = 4) uniform mat4 model_mat;
layout(location = 16) uniform mat4 light_space_mat;

void main()
{
	gl_Position = light_space_mat * model_mat * vec4(position, 1.0f);
}

/* the fragment shader is just
an empty main-function */